Create Order

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

ParameterTypeRequiredDescription
AuthorizationstringYesAPI authentication token
Content-TypestringYesRequest content type
application/json
AcceptstringYesapplication/json

Body Parameters

Parameter NameTypeRequiredDescription
amountstringYesPayment amount.
customer_emailstringYesCustomer email.
first_namestringYesFirst name.
last_namestringYesLast name.
mobile_numberstringYesMobile number.
allowed_payment_methodsstringYesSupported payment types. ["CARD", "UPI", "NETBANKING"]

Request cURL

curl --location 'https://dashboardv2.nixafin.ai/public/api/v1/payment/create-order' \
--header 'Authorization: Bearer <Token>' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--data-raw '{
    "amount": "<Amount>",
    "customer_email": "<Email_Id>",
    "first_name": "<First_Name>",
    "last_name": "<Last_Name>",
    "mobile_number": "<Mobile_Number>",
    "allowed_payment_methods": ["CARD", "UPI", "NETBANKING"]
}'
Body Params
Headers
string
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!